PrefabFiles = {
	"joseph",
	"joseph_none",
	"hamonmask",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/joseph.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/joseph.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/joseph.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/joseph.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/joseph_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/joseph_silho.xml" ),

    Asset( "IMAGE", "bigportraits/joseph.tex" ),
    Asset( "ATLAS", "bigportraits/joseph.xml" ),
	
	Asset( "IMAGE", "images/map_icons/joseph.tex" ),
	Asset( "ATLAS", "images/map_icons/joseph.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_joseph.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_joseph.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_joseph.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_joseph.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_joseph.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_joseph.xml" ),
	
	Asset( "IMAGE", "images/names_joseph.tex" ),
    Asset( "ATLAS", "images/names_joseph.xml" ),
	
    Asset( "IMAGE", "bigportraits/joseph_none.tex" ),
    Asset( "ATLAS", "bigportraits/joseph_none.xml" ),
	
	Asset("ATLAS", "images/inventoryimages/hamonmask.xml"),
	Asset("IMAGE", "images/inventoryimages/hamonmask.tex"),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.joseph = "The hamon fighter"
STRINGS.CHARACTER_NAMES.joseph = "Joseph Joestar"
STRINGS.CHARACTER_DESCRIPTIONS.joseph = "*Jojo 2, Battle Tendency\n*Hamon user\n*Strong in mind"
STRINGS.CHARACTER_QUOTES.joseph = "\"Victory is assured before the battle is even fought.\""

GLOBAL.STRINGS.NAMES.HAMONMASK = "Hamon traning mask"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAMONMASK = "Never liked it...useful for training though."

-- Custom speech strings
STRINGS.CHARACTERS.JOSEPH = require "speech_joseph"

-- The character's name as appears in-game 
STRINGS.NAMES.JOSEPH = "Esc"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.JOSEPH = 
{
	GENERIC = "Esc! Nice to meet you-py!",
	ATTACKER = "That Esc looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Esc, friend of ghosts.",
	GHOST = "Esc could use a heart.",
}


AddMinimapAtlas("images/map_icons/joseph.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("joseph", "MALE")

